"""
ASGI config for daren project.
"""

import os
import django

# 设置Django设置模块
os.environ.setdefault('DJANGO_SETTINGS_MODULE', 'daren.settings')
django.setup()  # 添加这一行

from django.core.asgi import get_asgi_application
from channels.routing import ProtocolTypeRouter, URLRouter
from channels.auth import AuthMiddlewareStack

# 确保在django.setup()之后再导入
import apps.brands.routing

application = ProtocolTypeRouter({
    'http': get_asgi_application(),
    'websocket': AuthMiddlewareStack(
        URLRouter(
            apps.brands.routing.websocket_urlpatterns
        )
    ),
})
